OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.BlendFuncExtended

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBBlendFuncExtended :: MonadIO m => m Bool
- gl_ARB_blend_func_extended :: Bool
- pattern GL_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum
- pattern GL_ONE_MINUS_SRC1_ALPHA :: GLenum
- pattern GL_ONE_MINUS_SRC1_COLOR :: GLenum
- pattern GL_SRC1_ALPHA :: GLenum
- pattern GL_SRC1_COLOR :: GLenum
- glBindFragDataLocationIndexed :: MonadIO m => GLuint -> GLuint -> GLuint -> Ptr GLchar -> m ()
- glGetFragDataIndex :: MonadIO m => GLuint -> Ptr GLchar -> m GLint

# Extension Support

glGetARBBlendFuncExtended :: MonadIO m => m Bool Source #

Is the ARB_blend_func_extended extension supported?

gl_ARB_blend_func_extended :: Bool Source #

Is the ARB_blend_func_extended extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBBlendFuncExtended` in those cases instead.

# Enums

pattern GL_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum Source #

pattern GL_ONE_MINUS_SRC1_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_SRC1_COLOR :: GLenum Source #

pattern GL_SRC1_ALPHA :: GLenum Source #

pattern GL_SRC1_COLOR :: GLenum Source #

# Functions

glBindFragDataLocationIndexed Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `colorNumber`.
-> GLuint | `index`.
-> Ptr GLchar | `name`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetFragDataIndex Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 3.x or OpenGL 4.x.